Package twisted :: Package protocols :: Module toc :: Class GetFileTransfer

[frames | no frames]

## Class GetFileTransfer

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      GetFileTransfer

Method Summary
| `__init__(self, client, cookie, dir)`
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received.
| `pauseProducing(self)`
| `resumeProducing(self)`
| `stopProducing(self)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`str` | `header_fmt` = `'!4s 2H 8s 6H 10I 32s 3c 69s 16s 2H 64s'`
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### dataReceived(self, data)

Called whenever data is received.

Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message.

  Parameters:
    `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time.
  Overrides:
    `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

Class Variable Details

### header_fmt

  Type:
    `str`
  Value:

        '!4s 2H 8s 6H 10I 32s 3c 69s 16s 2H 64s'

Generated by Epydoc 2.0 on Sat May 15 20:08:51 2004 | http://epydoc.sf.net